org.apache.hadoop.mapreduce.v2.api.protocolrecords

## Interface RenewDelegationTokenRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface RenewDelegationTokenRequest

  The request issued by the client to renew a delegation token from the `ResourceManager`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getDelegationToken()`
    `void` | `setDelegationToken(Token dToken)`

- - ### Method Detail

    - #### getDelegationToken

          Token getDelegationToken()

    - #### setDelegationToken

          void setDelegationToken(Token dToken)

Copyright © 2022 Apache Software Foundation. All rights reserved.